Saltar al contenido
Guías
CatálogoProductos
catalog:read

Obtener un producto para agentes

GET/v1/agent-read/catalog/products/{productId}

Obtener un producto para agentes. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

productId*string

Identificador del producto.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/agent-read/catalog/products/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "product": {    "id": "7204558912004325301",    "storeId": "7204558912004325301",    "name": "Example resource",    "slug": "example-resource",    "type": "product",    "status": "draft",    "price": 1,    "brand": "example",    "category": "example",    "totalVariants": 1  },  "description": "Example description.",  "tags": [    "example"  ],  "images": [    {      "id": "7204558912004325301",      "url": "https://example.com/resource",      "isPrimary": false,      "order": 1    }  ],  "specifications": [    {      "name": "Example resource",      "key": "example",      "value": "example"    }  ],  "variants": [    {      "id": "7204558912004325301",      "name": "Example resource",      "sku": "SKU-001",      "status": "outOfStock",      "price": 1,      "isDefault": false,      "options": [        {          "name": "Example resource",          "key": "example",          "value": "example"        }      ],      "barcode": "7751234567890"    }  ]}